    /*
     *  call-seq:
     *     fis << fi -> fis
     *     fis.add(fi) -> fis
     *
     *  Add a FieldInfo object. Use the FieldInfos#add_field method where
     *  possible.
     */
    static VALUE
    frb_fis_add(VALUE self, VALUE rfi)
    {
        FieldInfos *fis = (FieldInfos *)DATA_PTR(self);
        FieldInfo *fi = (FieldInfo *)frb_rb_data_ptr(rfi);
        fis_add_field(fis, fi);
        REF(fi);
        return self;
    }